CONFIG_64BIT := y
CONFIG_MIPS := y
CONFIG_MIPS_$(XEN_OS) := n

CONFIG_HVM := n
CONFIG_MIGRATE := n
CONFIG_XCUTILS := n
CONFIG_IOEMU := n

# CFLAGS += -m32 -march=i686
# CFLAGS += -mabi=32 -march=xlr

# CFLAGS  += -O2
CFLAGS  += -march=xlp

DESTDIR=/tmp/vvadapalli/xen/
ifeq ($(SUBARCH),mips32)
CFLAGS += -mabi=32
else
# 64-bit
CFLAGS += -mabi=64
endif

# static linking 
LDFLAGS += -march=xlp -mabi=64 -static

#
# GCC uses -G 0 -mabicalls -fpic as default.  We don't want PIC in the kernel
# code since it only slows down the whole thing.  At some point we might make
# use of global pointer optimizations but their use of $28 conflicts with
# the current pointer optimization.
#
# The DECStation requires an ECOFF kernel for remote booting, other MIPS
# machines may also.  Since BFD is incredibly buggy with respect to
# crossformat linking we rely on the elf2ecoff tool for format conversion.
#
CFLAGS    += -G 0 #-mno-abicalls -fno-pic -pipe
#CFLAGS    += -msoft-float
CFLAGS    += -Wa,--trap
LDFLAGS   += -G 0 #-static -n -nostdlib

# Use only if calling $(LD) directly.
# LDFLAGS_DIRECT_OpenBSD = _obsd
# LDFLAGS_DIRECT_FreeBSD = _fbsd
# LDFLAGS_DIRECT += -melf_i386$(LDFLAGS_DIRECT_$(XEN_OS))
